Skip to main content
GET
/
v1alpha1
/
project
/
{projectID}
/
environments
List environments
curl --request GET \
  --url https://realtime-api.voiceflow.com/v1alpha1/project/{projectID}/environments \
  --header 'authorization: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "alias": "<string>",
      "isMain": true,
      "releases": [
        {
          "name": "<string>",
          "backupID": 123,
          "createdAt": "<string>",
          "versionID": "<string>",
          "description": "<string>",
          "autogenerated": true,
          "createdByUserID": 123
        }
      ],
      "createdAt": "<string>",
      "draftVersionID": "<string>",
      "createdByUserID": 123,
      "trafficPercentage": 50,
      "nextReleaseNumber": 123,
      "publishedVersionID": "<string>",
      "draftVersionIDsHistory": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

authorization
string
header
required

Voiceflow API key

Path Parameters

projectID
string
required

ID of the project that owns the environments.

Response

200 - application/json

The environments for the target assistant.

data
object[]
required